Bug 541599 - No library or symbolic link libxmlsec1-openssl.so
Summary: No library or symbolic link libxmlsec1-openssl.so
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xmlsec1
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-26 12:45 UTC by Marcelo E. Geyer
Modified: 2011-03-30 20:00 UTC (History)
3 users (show)

Fixed In Version: xmlsec1-1.2.16-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-27 03:10:06 UTC


Attachments (Terms of Use)

Description Marcelo E. Geyer 2009-11-26 12:45:30 UTC
There is no library or symbolic link libxmlsec1-openssl.so essential for some applications. Creating a symbolic link to / usr/lib/libxmlsec1-openssl.so.1 solve the problem, it might be available in the next updates.

Comment 1 Daniel Veillard 2009-11-27 09:41:39 UTC
Out of curiosity, what is it essential for ? What is using it ?

Daniel

Comment 2 Marcelo E. Geyer 2009-11-27 11:18:07 UTC
I do not think I expressed myself correctly, mean that some programs may require this library. We have developed a business management software in Brazil that uses this library, but I've seen other applications that also made use of this library, just do not remember.

Marcelo E. Geyer

Comment 3 Tomas Hoger 2009-12-17 10:28:09 UTC
(In reply to comment #1)
> Out of curiosity, what is it essential for ? What is using it ?

xmlsec1 command line tool shipped in xmlsec1 package. ;)

libxmlsec1-<crypto>.so symlink is provided by xmlsec1-<crypto>-devel packages, but they should not be required for xmlsec1 to work, right?

$ rpm -qa 'xmlsec1*'
xmlsec1-1.2.12-1.fc11.x86_64
xmlsec1-gnutls-1.2.12-1.fc11.x86_64
xmlsec1-nss-1.2.12-1.fc11.x86_64
xmlsec1-openssl-1.2.12-1.fc11.x86_64

$ ls -l /usr/lib64/libxmlsec1* | sed 's,^.*/usr/,/usr/,'
/usr/lib64/libxmlsec1-gnutls.so.1 -> libxmlsec1-gnutls.so.1.2.12
/usr/lib64/libxmlsec1-gnutls.so.1.2.12
/usr/lib64/libxmlsec1-nss.so.1 -> libxmlsec1-nss.so.1.2.12
/usr/lib64/libxmlsec1-nss.so.1.2.12
/usr/lib64/libxmlsec1-openssl.so.1 -> libxmlsec1-openssl.so.1.2.12
/usr/lib64/libxmlsec1-openssl.so.1.2.12
/usr/lib64/libxmlsec1.so.1 -> libxmlsec1.so.1.2.12
/usr/lib64/libxmlsec1.so.1.2.12

Running:
  /usr/bin/xmlsec1 --verify --crypto <crypto> /dev/null

results in:

Error: unable to load xmlsec-<crypto> library. Make sure that you have
this it installed, check shared libraries path (LD_LIBRARY_PATH)
envornment variable or use "--crypto" option to specify different
crypto engine.

For <crypto> openssl, nss and gnutls.

See also bug #520362, which is for EL5.

Comment 4 Bug Zapper 2010-11-04 05:16:23 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Dan Young 2010-12-21 00:30:07 UTC
This is still an issue w/ v1.2.16 shipped w/ Fedora 14...

The xmlsec1 binary in the xmlsec1 package is non-functional without xmlsec1-<crypto>-devel installed because of the missing unversioned libxmlsec1-<crypto>.so symlinks.

Comment 6 Fedora Update System 2011-03-22 14:13:41 UTC
xmlsec1-1.2.16-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xmlsec1-1.2.16-3.fc14

Comment 7 Fedora Update System 2011-03-22 14:14:41 UTC
xmlsec1-1.2.16-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xmlsec1-1.2.16-4.fc15

Comment 8 Fedora Update System 2011-03-27 03:10:00 UTC
xmlsec1-1.2.16-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-30 20:00:39 UTC
xmlsec1-1.2.16-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.